package com.ruoyi.ykmap.entity.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 根据车辆id查询线路,装备,人员,标的物
 * @author du
 * @since 2024/8/15 9:29
 */
@Data
public class GetCarIdInfoResponse {

    /**
     * 线路类型
     */
    @ApiModelProperty("线路类型")
    private String lineType;


    /**
     * 装备信息
     */
    @ApiModelProperty("装备信息")
    private List<EquipResponse> zbList;

    /**
     * 人员信息
     */
    @ApiModelProperty("人员信息")
    private List<UserInfoResponse> userList;

    /**
     * 标的物
     */
    @ApiModelProperty("标的物")
    private ItemsResponse bdwInfo;
}
