package com.ruoyi.ykmap.entity.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 人员信息返回体
 * @author du
 * @since 2024/8/14 11:10
 */
@Data
@ApiModel("人员信息返回体")
public class UserInfoResponse {

    /**
     * 人员信息
     */
    @ApiModelProperty("人员信息")
    private String ename;

    /**
     * 职位名称
     */
    @ApiModelProperty("职位名称")
    private String name;

    /**
     * 排序
     */
    @ApiModelProperty("排序")
    private Integer orderNum;
}
