package com.ruoyi.ykmap.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ykmap.entity.Yxlgl;
import com.ruoyi.ykmap.entity.request.YxlglRequest;

/**
 * 【营运管理部门】：线路管理数据（exl_operation_line_data）表业务层
 *
 * @author du
 * @since 2024/8/13 9:49
 */
public interface YxlglService extends IService<Yxlgl> {

    /**
     * 分页查询所有数据
     *
     * @param page               分页对象
     * @param yxlglRequest 查询实体
     * @return 所有数据
     */
    Page<Yxlgl>  page(Page<Yxlgl> page, YxlglRequest yxlglRequest);

}
