package com.ruoyi.ykmap.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.ykmap.entity.Yxlgl;
import com.ruoyi.ykmap.entity.Yywzl;
import com.ruoyi.ykmap.entity.request.YxlglRequest;
import com.ruoyi.ykmap.mapper.YxlglMapper;
import com.ruoyi.ykmap.mapper.YywzlMapper;
import com.ruoyi.ykmap.service.YxlglService;
import com.ruoyi.ykmap.service.YywzlService;
import org.springframework.stereotype.Service;

/**
 * 【营运管理部门】：业务总览数据（exl_operation_overview_data_route）表业务处理层
 *
 * @author du
 * @since 2024/5/13 9:58
 */
@Service
public class YywzlServiceImpl extends ServiceImpl<YywzlMapper, Yywzl> implements YywzlService {

    /**
     * 分页查询所有数据
     *
     * @param page               分页对象
     * @return 所有数据
     */
    @Override
    public Page<Yywzl> page(Page<Yywzl> page) {
        return baseMapper.page(page);
    }
}
