package com.ruoyi.ykmap.entity.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 业务已覆盖省份清单
 * @author du
 * @since 2024/8/14 16:04
 */
@Data
@ApiModel("业务已覆盖省份清单")
public class SearchCityResponse {

    /**
     * 省份
     */
    @ApiModelProperty("省份")
    private String city;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
