package com.ruoyi.ykmap.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.ykmap.entity.Yxlgl;
import com.ruoyi.ykmap.entity.request.YxlglRequest;
import org.apache.ibatis.annotations.Param;

/**
 * 【营运管理部门】：线路管理数据（exl_operation_line_data）表数据层
 *
 * @author du
 * @since 2024/8/13 9:49
 */
public interface YxlglMapper extends BaseMapper<Yxlgl> {

    /**
     * 分页查询所有数据
     *
     * @param page               分页对象
     * @param yxlglRequest 查询实体
     * @return 所有数据
     */
    Page<Yxlgl> page(Page<Yxlgl> page,@Param("req") YxlglRequest yxlglRequest);
}
